from abc import (
    ABC,
    abstractmethod,
)
from datetime import date
from typing import List

from order_picture_base_model import OrderPicture


class OrdersBusinessDateProcessor(ABC):
    @abstractmethod
    def process_business_day(
        self,
        store_code: str,
        business_date: date,
        orders: List[OrderPicture],
    ) -> None:
        raise NotImplementedError()
